#!/bin/bash
#-----------------------------------------------------------------------------------
# DESCRIPCION: Compila los ejemplos seriales y paralelos MPI.
# EVENTO: Congreso Nacional de Software Libre 2004(CONSOL) www.consol.org.mx/2004/
# PONENTES:
#    Castillo Castillo Jos - www.josecc.net
#    Ricardo Benjamn Olvera Acosta
#    Jeanette Moreno Snchez.
#-----------------------------------------------------------------------------------

clear
echo ""
echo ""
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
 
echo "A continuacin se compilaran los ejemplos."
echo ""
echo "Presiona una tecla para continuar o CTRL-C para cancelar"
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
read bandera

clear
echo ""
echo ""
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
                                                                                                              
echo "A continuacin se compilaran el ejemplo  de clculo del nmero PI. Se efectuaran los siguientes comados:"
echo ""
echo "cd /home/knoppix/Consol2004/ejemplos/pi"
echo "mpicc mpi_pi_reduce.c -o mpi_pi_reduce.out"
echo "gcc ser_pi_calc.c -o ser_pi_calc.out"
echo "cp /home/knoppix/Consol2004/ejemplos/pi/mpi_pi_reduce.out /home/knoppix/Consol2004/ejemplos/"
echo "cp /home/knoppix/Consol2004/ejemplos/pi/ser_pi_calc.out /home/knoppix/Consol2004/ejemplos/"
echo ""
echo "Presiona una tecla para continuar o CTRL-C para cancelar"
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
read bandera

cd /home/knoppix/Consol2004/ejemplos/pi
mpicc mpi_pi_reduce.c -o mpi_pi_reduce.out
gcc ser_pi_calc.c -o ser_pi_calc.out
gcc ser_pi_calc_long.c -o ser_pi_calc_long.out
cp /home/knoppix/Consol2004/ejemplos/pi/mpi_pi_reduce.out /home/knoppix/Consol2004/ejemplos/
cp /home/knoppix/Consol2004/ejemplos/pi/ser_pi_calc.out /home/knoppix/Consol2004/ejemplos/
cp /home/knoppix/Consol2004/ejemplos/pi/ser_pi_calc_long.out /home/knoppix/Consol2004/ejemplos/

echo "Ejemplo  de clculo del nmero PI compilado. Presiona una tecla para continuar."
read bandera

clear
echo ""
echo ""
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
                                                                                                              
echo "A continuacin se compilaran el ejemplo  de clculo de nmeros primos. Se efectuaran los siguientes comados:"
echo ""
echo "cd /home/knoppix/Consol2004/ejemplos/num_primos"
echo "mpicc mpi_prime.c -lm -o mpi_prime.out"
echo "gcc ser_prime.c -lm -o ser_prime.out"
echo "cp /home/knoppix/Consol2004/ejemplos/num_primos/mpi_prime.out /home/knoppix/Consol2004/ejemplos/"
echo "cp /home/knoppix/Consol2004/ejemplos/num_primos/ser_prime.out /home/knoppix/Consol2004/ejemplos/"
echo ""
echo "Presiona una tecla para continuar o CTRL-C para cancelar"
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
read bandera


cd /home/knoppix/Consol2004/ejemplos/num_primos
mpicc mpi_prime.c -lm -o mpi_prime.out
gcc ser_prime.c -lm -o ser_prime.out
cp /home/knoppix/Consol2004/ejemplos/num_primos/mpi_prime.out /home/knoppix/Consol2004/ejemplos/
cp /home/knoppix/Consol2004/ejemplos/num_primos/ser_prime.out /home/knoppix/Consol2004/ejemplos/

echo "Ejemplo  de clculo de nmeros primos compilado. Presiona una tecla para continuar."
read bandera

clear
echo ""
echo ""
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"
                                                                                                              
echo "Los ejemplos han sido compilados y estan listos para ejecutarse. Vaya al directorio /home/knoppix/Consol2004/ejemplos/"
echo "Primeramente ejecute el demonio LAM: \$lamboot"
echo ""
echo "-Si desea ejecutar el ejemplo de clculo del nmero PI ejecute: \$mpirun -np 4 ./mpi_pi_reduce.out"
echo ""
echo "-Si desea ejecutar el ejemplo de clculo de nmeros primos ejecute: \$mpirun -np 4 ./mpi_prime.out"
echo ""
echo "NOTA1: Se da por entendido que se tienen cuatro nodos en el cluster OpenMosix."
echo ""
echo "NOTA2: Si desea incrementar el nmero de iteraciones para ambos ejemplos modifique el cdigo fuente de los programas, el cual se encuentra en:"
echo ""
echo "  /home/knoppix/Consol2004/ejemplos/pi"
echo ""
echo "y"
echo ""
echo "  /home/knoppix/Consol2004/ejemplos/num_primos"
echo ""
echo "respectivamente"
echo ""
echo -e "\033[1;34m=================================== \033[0m"
echo -e "\033[1;34m=================================== \033[0m"

